This service will be undergoing non-disruptive maintenance at 07:20 UTC, 2018-12-14. It is expected to last approximately 30 minutes
Bug 116606 - mbtowc() doesn't like large SIZE parameter values
Summary: mbtowc() doesn't like large SIZE parameter values
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: glibc (Show other bugs)
(Show other bugs)
Version: 1
Hardware: All Linux
medium
medium
Target Milestone: ---
Assignee: Jakub Jelinek
QA Contact: Brian Brock
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2004-02-23 18:55 UTC by Miloslav Trmac
Modified: 2007-11-30 22:10 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-04-08 12:31:50 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2004:143 normal SHIPPED_LIVE GNU C Library bugfix update 2004-05-11 04:00:00 UTC
Red Hat Product Errata RHBA-2004:212 normal SHIPPED_LIVE Updated shadow-utils package available 2004-05-11 04:00:00 UTC
Red Hat Product Errata RHBA-2004:213 normal SHIPPED_LIVE Updated ypserv package available 2004-05-11 04:00:00 UTC

Description Miloslav Trmac 2004-02-23 18:55:58 UTC
Version-Release number of selected component (if applicable):
glibc-2.3.2-101.4

Steps to Reproduce:
#include <limits.h>
#include <locale.h>
#include <stdint.h>
#include <stdlib.h>
#include <stdio.h>

int
main (void)
{
  wchar_t wc;

  setlocale (LC_CTYPE, "en_US.UTF-8");
  printf ("%d\n", mbtowc (&wc, "\xc3\xa1", MB_LEN_MAX));
  printf ("%d\n", mbtowc (&wc, "\xc3\xa1", SIZE_MAX));
  return EXIT_SUCCESS;
}

  
Actual results:
2
-1

Expected results:
2
2

Comment 1 Miloslav Trmac 2004-04-08 12:31:50 UTC
This looks fixed in glibc-2.3.3-18.

Comment 2 John Flanagan 2004-05-12 01:28:25 UTC
An errata has been issued which should help the problem described in this bug report. 
This report is therefore being closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files, please follow the link below. You may reopen 
this bug report if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2004-212.html



Note You need to log in before you can comment on or make changes to this bug.